N=1000;   % ou moins si trop long
b=randn(N,1);
maxit=N;
tol = 1e-6;

matrices = {'C', 'B1', 'D', 'S'};
methods = {'lsqr', 'gmres', 'qmr'};

for mat = matrices
        fprintf('=============== Matrice %s ===============\n', mat{1})
        A = getmat(mat{1}, N, tol);
        for meth = methods
            fprintf('---------- méthode %5s ----------- ', meth{1});
            [x,flag,relres,iter,resvec, time] =  iters(meth{1}, A, b, tol, maxit);
            fprintf('  flag=%d, iters= %d, temps=%g \n', flag, iter, time); 
        end
end
